Bug 1217527 - [RFE] Provide a newer version of Puppet for Satellite 6
Summary: [RFE] Provide a newer version of Puppet for Satellite 6
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Configuration Management
Version: Nightly
Hardware: x86_64
OS: Linux
medium
high vote
Target Milestone: Unspecified
Assignee: Mike McCune
QA Contact: Corey Welton
URL:
Whiteboard:
Depends On:
Blocks: 1315284
TreeView+ depends on / blocked
 
Reported: 2015-04-30 15:00 UTC by Chris Roberts
Modified: 2019-11-14 06:42 UTC (History)
15 users (show)

Fixed In Version: puppet-3.8.6-2,puppet-server-3.8.6-2,facter-2.4.6-2
Doc Type: Enhancement
Doc Text:
Red Hat Satellite 6.2 upgrades to the 3.8 stream of puppet.
Clone Of:
Environment:
Last Closed: 2016-07-27 08:51:03 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:1500 normal SHIPPED_LIVE Red Hat Satellite 6.2 Base Libraries 2016-07-27 12:24:38 UTC

Comment 1 RHEL Program Management 2015-04-30 15:03:12 UTC
Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.

Comment 5 Bryan Kearney 2016-02-23 18:34:46 UTC
Sorry.. moving this back.

Comment 7 Peter Vreman 2016-03-21 12:27:06 UTC
When updating Puppet version, please also include the newer version of hiera.

Comment 8 Pat Riehecky 2016-03-21 13:07:55 UTC
Facter 2.4 would be very welcome as well.

Comment 10 Tazim Kolhar 2016-04-09 12:30:08 UTC
Hi,

   please provide verification steps

thanks and regards,
Tazim

Comment 11 Chris Peters 2016-04-10 16:18:15 UTC
rpm -qa | grep puppet
result: puppet-3.8.6-2

rpm -qa | grep hiera
result: hiera-1.3.1-2

Test on both RHEL6 & RHEL7

Thanks,
Chris

Comment 12 Chris Peters 2016-04-10 16:20:44 UTC
Sorry, wrong package. Wish I could edit comments in bugzilla.

rpm -qa | grep puppet
result: puppet-3.8.6-2

rpm -qa | grep facter
result: facter-2.4.6-2

Comment 13 Tazim Kolhar 2016-04-11 08:15:24 UTC
VERIFIED:
# rpm -qa foreman
foreman-1.11.0.11-1.el7sat.noarch


Steps:

# rpm -qa | grep puppet
puppet-3.8.6-2.el7sat.noarch

# rpm -qa | grep hiera
hiera-1.3.1-2.el7sat.noarch

Comment 17 errata-xmlrpc 2016-07-27 08:51:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:1500


Note You need to log in before you can comment on or make changes to this bug.